Package org.eclipse.mat.parser.index

# Enum IndexManager.Index

java.lang.Object
java.lang.Enum<IndexManager.Index>
org.eclipse.mat.parser.index.IndexManager.Index

All Implemented Interfaces:
  `Serializable`, `Comparable<IndexManager.Index>`, `java.lang.constant.Constable`

Enclosing class:
  `IndexManager`

public static enum IndexManager.Index extends Enum<IndexManager.Index>
The different index types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`A2SIZE`
Array to size: array (or non-default sized object) id to size (as an encoded int)
`DOMINATED`
Dominated: object id to N dominated object ids
`DOMINATOR`
Dominator of: object id to the id of its dominator
`I2RETAINED`
Retained size cache.
`IDENTIFIER`
Index to address: object id to address (as a long)
`INBOUND`
Inbounds: object id to N outbound object ids
`O2CLASS`
Object to class: object id to 1 class id
`O2RETAINED`
Object to retained size: object in dominator tree to retained size (as a long)
`OUTBOUND`
Outbounds: object id to N inbound object ids

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`filename`
The file name for the index reader

## Method Summary

Modifier and Type
Method
Description
`File`
`getFile(String prefix)`
Create a `File` descriptor based on the prefix and filename
`static IndexManager.Index`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IndexManager.Index[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INBOUND

public static final IndexManager.Index INBOUND
Inbounds: object id to N outbound object ids

### OUTBOUND

public static final IndexManager.Index OUTBOUND
Outbounds: object id to N inbound object ids

### O2CLASS

public static final IndexManager.Index O2CLASS
Object to class: object id to 1 class id

### IDENTIFIER

public static final IndexManager.Index IDENTIFIER
Index to address: object id to address (as a long)

### A2SIZE

public static final IndexManager.Index A2SIZE
Array to size: array (or non-default sized object) id to size (as an encoded int)

### DOMINATED

public static final IndexManager.Index DOMINATED
Dominated: object id to N dominated object ids

### O2RETAINED

public static final IndexManager.Index O2RETAINED
Object to retained size: object in dominator tree to retained size (as a long)

### DOMINATOR

public static final IndexManager.Index DOMINATOR
Dominator of: object id to the id of its dominator

### I2RETAINED

public static final IndexManager.Index I2RETAINED
Retained size cache. Retained size cache for a class: class+all instances. Retained size cache for a class loader: loader+all classes+all instances.

Since:
  1.2

## Field Details

### filename

public String filename
The file name for the index reader

## Method Details

### values

public static IndexManager.Index[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IndexManager.Index valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getFile

public File getFile(String prefix)
Create a `File` descriptor based on the prefix and filename

Parameters:
  `prefix` - the prefix based on the snapshot name
Returns:
  the file to use